Subject: Re: MPC5121e DIU driver - kernel crash writing alpha component

From: LD <[email-masked]>
Date: Fri, 23 Oct 2009 11:59:51 +0200

Hi Chen,
many thanks for your very fast answer.

If I understand well, the situation is as follows:

32 bits mode, plane1 - if I write any alpha component != 0 I have a system hang
; writing alpha components in any other plane is ok.

- -----

- From my first tries I had lockups also in 16 bits 5-6-5 modes, but in this
moment I cannot precisely track down things.
Is there something I cannot do in plane1 in 16 bits modes ?

- -----

With the previous processor stepping I was not experiencing this problem ; is it
something specific from 0M36P ?

- -----

- From this, if I cannot write something in plane1 I would think about a kernel
display driver patch: a user program ->can not<- lock the system by writing
something wrong.
So... two paths:

- - do not "publish" plane1 as /dev/fb0, but plane2 will be /dev/fb0
or
- - see suggestion about double buffering and filtering alpha components

Thanks,
best regards

Lucio Dona'

Chen Hongjun-R66092 wrote:
>> Hi, 
> 
>> Pls refer to my comment embedded. 
> 
> 
> The board is booting ok (NFS), but my user space app keeps 
> crashing the kernel.
> 
> If, from user space, I write some alpha component != 0 in 
> this plane then I have a complete system crash.
> The reference pdf says "There is no alpha component defined 
> for plane1 because there are no planes behind it."
> 
> 
>> Sure, panel0 doesn't support alpha function, so you can't operate it.
> 
> 
>> You can replace panel0 with panel1, which can support alpha function.
>